Consumer
Listing object
- idstringPublic Preview
- summaryobjectPublic Preview
Show child attributesHide child attributes
- namestringPublic Preview
- subtitlestringPublic Preview
- statusstringPublic Preview
Enums
DRAFTPENDINGPUBLISHEDSUSPENDED
- provider_regionobjectPublic Preview
Show child attributesHide child attributes
- cloudstringPublic Preview
- regionstringPublic Preview
- settingobjectPublic Preview
Show child attributesHide child attributes
- visibilitystringPublic Preview
PUBLICPRIVATE
- created_atint64Public Preview
- created_bystringPublic Preview
- updated_atint64Public Preview
- updated_bystringPublic Preview
- published_atint64Public Preview
- published_bystringPublic Preview
- categoriesarray of stringPublic Preview
Show 22 possible values
ADVERTISING_AND_MARKETINGCLIMATE_AND_ENVIRONMENTCOMMERCEDEMOGRAPHICSECONOMICSEDUCATIONENERGYFINANCIALGAMINGGEOSPATIALHEALTHLOOKUP_TABLESMANUFACTURINGMEDIAOTHERPUBLIC_SECTORRETAILSECURITYSCIENCE_AND_RESEARCHSPORTSTRANSPORTATION_AND_LOGISTICSTRAVEL_AND_TOURISM
- listingTypestringPublic Preview
STANDARDPERSONALIZED
- created_by_idint64Public Preview
- updated_by_idint64Public Preview
- provider_idstringPublic Preview
- exchange_idsarray of stringPublic Preview
- git_repoobjectPublic Preview
if a git repo is being created, a listing will be initialized with this field as opposed to a share
Show child attributesHide child attributes
- git_repo_urlstringPublic Preview
the git repo url e.g. https://github.com/databrickslabs/dolly.git
- detailobjectPublic Preview
Show child attributesHide child attributes
- descriptionstringPublic Preview
- terms_of_servicestringPublic Preview
- documentation_linkstringPublic Preview
- support_linkstringPublic Preview
- file_idsarray of stringPublic Preview
- privacy_policy_linkstringPublic Preview
- embedded_notebook_file_infosarray of objectPublic Preview
Show child attributesHide child attributes
- idstringPublic Preview
- marketplace_file_typestringPublic Preview
PROVIDER_ICONEMBEDDED_NOTEBOOKAPP
- file_parentobjectPublic Preview
Show child attributesHide child attributes
- parent_idstringPublic Preview
- file_parent_typestringPublic Preview
PROVIDERLISTINGLISTING_RESOURCE
- mime_typestringPublic Preview
- download_linkstringPublic Preview
- created_atint64Public Preview
- updated_atint64Public Preview
- display_namestringPublic Preview
Name displayed to users for applicable files, e.g. embedded notebooks
- statusstringPublic Preview
FILE_STATUS_PUBLISHEDFILE_STATUS_STAGINGFILE_STATUS_SANITIZINGFILE_STATUS_SANITIZATION_FAILED
- status_messagestringPublic Preview
Populated if status is in a failed state with more information on reason for the failure.
- geographical_coveragestringPublic Preview
Which geo region the listing data is collected from
- coststringPublic Preview
Whether the dataset is free or paid
FREEPAID
- pricing_modelstringPublic Preview
What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid
- update_frequencyobjectPublic Preview
How often data is updated
Show child attributesHide child attributes
- intervalint64Public Preview
- unitstringPublic Preview
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_granularityobjectPublic Preview
Smallest unit of time in the dataset
Show child attributesHide child attributes
- intervalint64Public Preview
- unitstringPublic Preview
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_date_startint64Public Preview
The starting date timestamp for when the data spans
- collection_date_endint64Public Preview
The ending date timestamp for when the data spans
- data_sourcestringPublic Preview
Where/how the data is sourced
- sizedoublePublic Preview
size of the dataset in GB
- assetsarray of stringPublic Preview
Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK
ASSET_TYPE_UNSPECIFIEDASSET_TYPE_GIT_REPOASSET_TYPE_DATA_TABLEASSET_TYPE_MODELASSET_TYPE_NOTEBOOKASSET_TYPE_MEDIAASSET_TYPE_PARTNER_INTEGRATIONASSET_TYPE_APPASSET_TYPE_MCP
- licensestringPublic Preview
ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets
- tagsarray of objectPublic Preview
Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:
- If the field is optional and won't need to have NOT NULL integrity check
- The value is fairly fixed, static and low cardinality (eg. enums).
- The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
- tag_namestringPublic Preview
Tag name (enum)
LISTING_TAG_TYPE_UNSPECIFIEDLISTING_TAG_TYPE_LANGUAGELISTING_TAG_TYPE_TASK
- tag_valuesarray of stringPublic Preview
String representation of the tag value. Values should be string literals (no complex types)
Get listing Public Preview
GET
Get a published listing in the Databricks Marketplace that the consumer has access to.
API scopes: marketplace
Parameters
- idstringRequiredpath
Response
- listingobject
Show child attributesHide child attributes
- idstring
- summaryobjectRequired
Show child attributesHide child attributes
- namestringRequired
- subtitlestring
- statusstring
Enums
DRAFTPENDINGPUBLISHEDSUSPENDED
- provider_regionobject
Show child attributesHide child attributes
- cloudstring
- regionstring
- settingobject
Show child attributesHide child attributes
- visibilitystring
PUBLICPRIVATE
- created_atint64
- created_bystring
- updated_atint64
- updated_bystring
- published_atint64
- published_bystring
- categoriesarray of string
Show 22 possible values
ADVERTISING_AND_MARKETINGCLIMATE_AND_ENVIRONMENTCOMMERCEDEMOGRAPHICSECONOMICSEDUCATIONENERGYFINANCIALGAMINGGEOSPATIALHEALTHLOOKUP_TABLESMANUFACTURINGMEDIAOTHERPUBLIC_SECTORRETAILSECURITYSCIENCE_AND_RESEARCHSPORTSTRANSPORTATION_AND_LOGISTICSTRAVEL_AND_TOURISM
- listingTypestringRequired
STANDARDPERSONALIZED
- created_by_idint64
- updated_by_idint64
- provider_idstring
- exchange_idsarray of string
- git_repoobject
if a git repo is being created, a listing will be initialized with this field as opposed to a share
Show child attributesHide child attributes
- git_repo_urlstringRequired
the git repo url e.g. https://github.com/databrickslabs/dolly.git
- detailobject
Show child attributesHide child attributes
- descriptionstring
- terms_of_servicestring
- documentation_linkstring
- support_linkstring
- file_idsarray of string
- privacy_policy_linkstring
- embedded_notebook_file_infosarray of object
Show child attributesHide child attributes
- idstring
- marketplace_file_typestring
PROVIDER_ICONEMBEDDED_NOTEBOOKAPP
- file_parentobject
- mime_typestring
- download_linkstring
- created_atint64
- updated_atint64
- display_namestring
Name displayed to users for applicable files, e.g. embedded notebooks
- statusstring
FILE_STATUS_PUBLISHEDFILE_STATUS_STAGINGFILE_STATUS_SANITIZINGFILE_STATUS_SANITIZATION_FAILED
- status_messagestring
Populated if status is in a failed state with more information on reason for the failure.
- geographical_coveragestring
Which geo region the listing data is collected from
- coststring
Whether the dataset is free or paid
FREEPAID
- pricing_modelstring
What the pricing model is (e.g. paid, subscription, paid upfront); should only be present if cost is paid
- update_frequencyobject
How often data is updated
Show child attributesHide child attributes
- intervalint64Required
- unitstringRequired
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_granularityobject
Smallest unit of time in the dataset
Show child attributesHide child attributes
- intervalint64Required
- unitstringRequired
NONESECONDMINUTEHOURLYDAILYWEEKLYMONTHLYQUARTERLYYEARLY
- collection_date_startint64
The starting date timestamp for when the data spans
- collection_date_endint64
The ending date timestamp for when the data spans
- data_sourcestring
Where/how the data is sourced
- sizedouble
size of the dataset in GB
- assetsarray of string
Type of assets included in the listing. eg. GIT_REPO, DATA_TABLE, MODEL, NOTEBOOK
ASSET_TYPE_UNSPECIFIEDASSET_TYPE_GIT_REPOASSET_TYPE_DATA_TABLEASSET_TYPE_MODELASSET_TYPE_NOTEBOOKASSET_TYPE_MEDIAASSET_TYPE_PARTNER_INTEGRATIONASSET_TYPE_APPASSET_TYPE_MCP
- licensestring
ID 20, 21 removed don't use License of the data asset - Required for listings with model based assets
- tagsarray of object
Listing tags - Simple key value pair to annotate listings. When should I use tags vs dedicated fields? Using tags avoids the need to add new columns in the database for new annotations. However, this should be used sparingly since tags are stored as key value pair. Use tags only:
- If the field is optional and won't need to have NOT NULL integrity check
- The value is fairly fixed, static and low cardinality (eg. enums).
- The value won't be used in filters or joins with other tables.
Show child attributesHide child attributes
- tag_namestring
Tag name (enum)
LISTING_TAG_TYPE_UNSPECIFIEDLISTING_TAG_TYPE_LANGUAGELISTING_TAG_TYPE_TASK
- tag_valuesarray of string
String representation of the tag value. Values should be string literals (no complex types)
List listings Public Preview
GET
List all published listings in the Databricks Marketplace that the consumer has access to.
API scopes: marketplace
Parameters
- page_tokenstringquery
- page_sizeint32query
- assetsarray of stringquery
Matches any of the following asset types
ASSET_TYPE_UNSPECIFIEDASSET_TYPE_GIT_REPOASSET_TYPE_DATA_TABLEASSET_TYPE_MODELASSET_TYPE_NOTEBOOKASSET_TYPE_MEDIAASSET_TYPE_PARTNER_INTEGRATIONASSET_TYPE_APPASSET_TYPE_MCP
- categoriesarray of stringquery
Matches any of the following categories
Show 22 possible values
ADVERTISING_AND_MARKETINGCLIMATE_AND_ENVIRONMENTCOMMERCEDEMOGRAPHICSECONOMICSEDUCATIONENERGYFINANCIALGAMINGGEOSPATIALHEALTHLOOKUP_TABLESMANUFACTURINGMEDIAOTHERPUBLIC_SECTORRETAILSECURITYSCIENCE_AND_RESEARCHSPORTSTRANSPORTATION_AND_LOGISTICSTRAVEL_AND_TOURISM
- tagsobjectquery
Matches listings with this tag
Show child attributesHide child attributes
- tag_namestring
Tag name (enum)
LISTING_TAG_TYPE_UNSPECIFIEDLISTING_TAG_TYPE_LANGUAGELISTING_TAG_TYPE_TASK
- tag_valuesarray of string
String representation of the tag value. Values should be string literals (no complex types)
- is_freebooleanquery
Filters each listing based on if it is free.
- is_private_exchangebooleanquery
Filters each listing based on if it is a private exchange.
- is_staff_pickbooleanquery
Filters each listing based on whether it is a staff pick.
- provider_idsarray of stringquery
Matches any of the following provider ids
Response
Returns a list of Listing objects.
Install from a listing Public Preview
POST
Install payload associated with a Databricks Marketplace listing.
API scopes: marketplace
Parameters
- listing_idstringRequiredpath
Request body
- catalog_namestring
- repo_detailobject
for git repo installations
Show child attributesHide child attributes
- repo_namestringRequired
the user-specified repo name for their installed git repo listing
- repo_pathstringRequired
refers to the full url file path that navigates the user to the repo's entrypoint (e.g. a README.md file, or the repo file view in the unified UI) should just be a relative path
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
- accepted_consumer_termsobject
Show child attributesHide child attributes
- versionstringRequired
Response
- installationobject
Show child attributesHide child attributes
- idstring
- listing_idstring
- catalog_namestring
- installed_onint64
- statusstring
INSTALLEDFAILED
- error_messagestring
- listing_namestring
- repo_namestring
- repo_pathstring
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
- tokensarray of object
Show child attributesHide child attributes
- idstring
Unique id of the Recipient Token.
- created_atint64
Time at which this Recipient Token was created, in epoch milliseconds.
- created_bystring
Username of Recipient Token creator.
- activation_urlstring
Full activation url to retrieve the access token. It will be empty if the token is already retrieved.
- expiration_timeint64
Expiration timestamp of the token in epoch milliseconds.
- updated_atint64
Time at which this Recipient Token was updated, in epoch milliseconds.
- updated_bystring
Username of Recipient Token updater.
- token_detailobject
Show child attributesHide child attributes
- bearerTokenstring
- endpointstring
- expirationTimestring
Update an installation Public Preview
PUT
This is a update API that will update the part of the fields defined in the installation table as well as interact with external services according to the fields not included in the installation table
- the token will be rotate if the rotateToken flag is true
- the token will be forcibly rotate if the rotateToken flag is true and the tokenInfo field is empty
API scopes: marketplace
Parameters
- listing_idstringRequiredpath
- installation_idstringRequiredpath
Request body
- installationobjectRequired
Show child attributesHide child attributes
- idstring
- listing_idstring
- catalog_namestring
- installed_onint64
- statusstring
INSTALLEDFAILED
- error_messagestring
- listing_namestring
- repo_namestring
- repo_pathstring
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
- tokensarray of object
Show child attributesHide child attributes
- idstring
Unique id of the Recipient Token.
- created_atint64
Time at which this Recipient Token was created, in epoch milliseconds.
- created_bystring
Username of Recipient Token creator.
- activation_urlstring
Full activation url to retrieve the access token. It will be empty if the token is already retrieved.
- expiration_timeint64
Expiration timestamp of the token in epoch milliseconds.
- updated_atint64
Time at which this Recipient Token was updated, in epoch milliseconds.
- updated_bystring
Username of Recipient Token updater.
- token_detailobject
Show child attributesHide child attributes
- bearerTokenstring
- endpointstring
- expirationTimestring
- rotate_tokenboolean
Response
- installationobject
Show child attributesHide child attributes
- idstring
- listing_idstring
- catalog_namestring
- installed_onint64
- statusstring
INSTALLEDFAILED
- error_messagestring
- listing_namestring
- repo_namestring
- repo_pathstring
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
- tokensarray of object
Show child attributesHide child attributes
- idstring
Unique id of the Recipient Token.
- created_atint64
Time at which this Recipient Token was created, in epoch milliseconds.
- created_bystring
Username of Recipient Token creator.
- activation_urlstring
Full activation url to retrieve the access token. It will be empty if the token is already retrieved.
- expiration_timeint64
Expiration timestamp of the token in epoch milliseconds.
- updated_atint64
Time at which this Recipient Token was updated, in epoch milliseconds.
- updated_bystring
Username of Recipient Token updater.
- token_detailobject
Show child attributesHide child attributes
- bearerTokenstring
- endpointstring
- expirationTimestring
Uninstall from a listing Public Preview
DELETE
Uninstall an installation associated with a Databricks Marketplace listing.
API scopes: marketplace
Parameters
- listing_idstringRequiredpath
- installation_idstringRequiredpath
Get one batch of listings. One may specify up to 50 IDs per request Public Preview
GET
Batch get a published listing in the Databricks Marketplace that the consumer has access to.
API scopes: marketplace
Parameters
- idsarray of stringquery
Response
Returns a list of Listing objects.
Search listings Public Preview
GET
Search published listings in the Databricks Marketplace that the consumer has access to. This query supports a variety of different search parameters and performs fuzzy matching.
API scopes: marketplace
Parameters
- querystringRequiredquery
Fuzzy matches query
- is_freebooleanquery
- is_private_exchangebooleanquery
- provider_idsarray of stringquery
Matches any of the following provider ids
- categoriesarray of stringquery
Matches any of the following categories
Show 22 possible values
ADVERTISING_AND_MARKETINGCLIMATE_AND_ENVIRONMENTCOMMERCEDEMOGRAPHICSECONOMICSEDUCATIONENERGYFINANCIALGAMINGGEOSPATIALHEALTHLOOKUP_TABLESMANUFACTURINGMEDIAOTHERPUBLIC_SECTORRETAILSECURITYSCIENCE_AND_RESEARCHSPORTSTRANSPORTATION_AND_LOGISTICSTRAVEL_AND_TOURISM
- assetsarray of stringquery
Matches any of the following asset types
ASSET_TYPE_UNSPECIFIEDASSET_TYPE_GIT_REPOASSET_TYPE_DATA_TABLEASSET_TYPE_MODELASSET_TYPE_NOTEBOOKASSET_TYPE_MEDIAASSET_TYPE_PARTNER_INTEGRATIONASSET_TYPE_APPASSET_TYPE_MCP
- page_tokenstringquery
- page_sizeint32query
Response
Returns a list of Listing objects.
List providers Public Preview
GET
List all providers in the Databricks Marketplace with at least one visible listing.
API scopes: marketplace
Parameters
- page_tokenstringquery
- page_sizeint32query
- is_featuredbooleanquery
Response
- providersarray of object
Show child attributesHide child attributes
- idstring
- namestringRequired
- descriptionstring
- icon_file_pathstring
- business_contact_emailstringRequired
- support_contact_emailstring
- is_featuredboolean
is_featured is accessible by consumers only
- published_bystring
published_by is only applicable to data aggregators (e.g. Crux)
- company_website_linkstring
- icon_file_idstring
- term_of_service_linkstringRequired
- privacy_policy_linkstringRequired
- dark_mode_icon_file_idstring
- dark_mode_icon_file_pathstring
- next_page_tokenstring
Get one batch of providers. One may specify up to 50 IDs per request Public Preview
GET
Batch get a provider in the Databricks Marketplace with at least one visible listing.
API scopes: marketplace
Parameters
- idsarray of stringquery
Response
- providersarray of object
Show child attributesHide child attributes
- idstring
- namestringRequired
- descriptionstring
- icon_file_pathstring
- business_contact_emailstringRequired
- support_contact_emailstring
- is_featuredboolean
is_featured is accessible by consumers only
- published_bystring
published_by is only applicable to data aggregators (e.g. Crux)
- company_website_linkstring
- icon_file_idstring
- term_of_service_linkstringRequired
- privacy_policy_linkstringRequired
- dark_mode_icon_file_idstring
- dark_mode_icon_file_pathstring
Get a provider Public Preview
GET
Get a provider in the Databricks Marketplace with at least one visible listing.
API scopes: marketplace
Parameters
- idstringRequiredpath
Response
- providerobject
Show child attributesHide child attributes
- idstring
- namestringRequired
- descriptionstring
- icon_file_pathstring
- business_contact_emailstringRequired
- support_contact_emailstring
- is_featuredboolean
is_featured is accessible by consumers only
- published_bystring
published_by is only applicable to data aggregators (e.g. Crux)
- company_website_linkstring
- icon_file_idstring
- term_of_service_linkstringRequired
- privacy_policy_linkstringRequired
- dark_mode_icon_file_idstring
- dark_mode_icon_file_pathstring
List all installations Public Preview
GET
List all installations across all listings.
API scopes: marketplace
Parameters
- page_tokenstringquery
- page_sizeint32query
Response
- installationsarray of object
Show child attributesHide child attributes
- idstring
- listing_idstring
- catalog_namestring
- installed_onint64
- statusstring
INSTALLEDFAILED
- error_messagestring
- listing_namestring
- repo_namestring
- repo_pathstring
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
- tokensarray of object
Show child attributesHide child attributes
- idstring
Unique id of the Recipient Token.
- created_atint64
Time at which this Recipient Token was created, in epoch milliseconds.
- created_bystring
Username of Recipient Token creator.
- activation_urlstring
Full activation url to retrieve the access token. It will be empty if the token is already retrieved.
- expiration_timeint64
Expiration timestamp of the token in epoch milliseconds.
- updated_atint64
Time at which this Recipient Token was updated, in epoch milliseconds.
- updated_bystring
Username of Recipient Token updater.
- token_detailobject
Show child attributesHide child attributes
- bearerTokenstring
- endpointstring
- expirationTimestring
- next_page_tokenstring
List installations for a listing Public Preview
GET
List all installations for a particular listing.
API scopes: marketplace
Parameters
- listing_idstringRequiredpath
- page_tokenstringquery
- page_sizeint32query
Response
- installationsarray of object
Show child attributesHide child attributes
- idstring
- listing_idstring
- catalog_namestring
- installed_onint64
- statusstring
INSTALLEDFAILED
- error_messagestring
- listing_namestring
- repo_namestring
- repo_pathstring
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
- tokensarray of object
Show child attributesHide child attributes
- idstring
Unique id of the Recipient Token.
- created_atint64
Time at which this Recipient Token was created, in epoch milliseconds.
- created_bystring
Username of Recipient Token creator.
- activation_urlstring
Full activation url to retrieve the access token. It will be empty if the token is already retrieved.
- expiration_timeint64
Expiration timestamp of the token in epoch milliseconds.
- updated_atint64
Time at which this Recipient Token was updated, in epoch milliseconds.
- updated_bystring
Username of Recipient Token updater.
- token_detailobject
Show child attributesHide child attributes
- bearerTokenstring
- endpointstring
- expirationTimestring
- next_page_tokenstring
List all listing fulfillments Public Preview
GET
Get all listings fulfillments associated with a listing. A fulfillment is a potential installation. Standard installations contain metadata about the attached share or git repo. Only one of these fields will be present. Personalized installations contain metadata about the attached share or git repo, as well as the Delta Sharing recipient type.
API scopes: marketplace
Parameters
- listing_idstringRequiredpath
- page_tokenstringquery
- page_sizeint32query
Response
- fulfillmentsarray of object
Show child attributesHide child attributes
- listing_idstringRequired
- fulfillment_typestring
REQUEST_ACCESSINSTALL
- repo_infoobject
Show child attributesHide child attributes
- git_repo_urlstringRequired
the git repo url e.g. https://github.com/databrickslabs/dolly.git
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
- next_page_tokenstring
Get listing content metadata Public Preview
GET
Get a high level preview of the metadata of listing installable content.
API scopes: marketplace
Parameters
- listing_idstringRequiredpath
- page_tokenstringquery
- page_sizeint32query
Response
- next_page_tokenstring
Get the personalization request for a listing Public Preview
GET
Get the personalization request for a listing. Each consumer can make at most one personalization request for a listing.
API scopes: marketplace
Parameters
- listing_idstringRequiredpath
Response
- personalization_requestsarray of object
Show child attributesHide child attributes
- idstring
- consumer_regionobjectRequired
Show child attributesHide child attributes
- cloudstring
- regionstring
- contact_infoobject
Show child attributesHide child attributes
- first_namestring
- last_namestring
- emailstring
- companystring
- commentstring
- intended_usestring
- statusstring
NEWREQUEST_PENDINGFULFILLEDDENIED
- status_messagestring
- created_atint64
- listing_idstring
- updated_atint64
- metastore_idstring
- listing_namestring
- is_from_lighthouseboolean
- provider_idstring
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
List all personalization requests Public Preview
GET
List personalization requests for a consumer across all listings.
API scopes: marketplace
Parameters
- page_tokenstringquery
- page_sizeint32query
Response
- personalization_requestsarray of object
Show child attributesHide child attributes
- idstring
- consumer_regionobjectRequired
Show child attributesHide child attributes
- cloudstring
- regionstring
- contact_infoobject
Show child attributesHide child attributes
- first_namestring
- last_namestring
- emailstring
- companystring
- commentstring
- intended_usestring
- statusstring
NEWREQUEST_PENDINGFULFILLEDDENIED
- status_messagestring
- created_atint64
- listing_idstring
- updated_atint64
- metastore_idstring
- listing_namestring
- is_from_lighthouseboolean
- provider_idstring
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
- next_page_tokenstring
Create a personalization request Public Preview
POST
Create a personalization request for a listing.
API scopes: marketplace
Parameters
- listing_idstringRequiredpath
Request body
- commentstring
- intended_usestringRequired
- first_namestring
- last_namestring
- companystring
- is_from_lighthouseboolean
- recipient_typestring
DELTA_SHARING_RECIPIENT_TYPE_DATABRICKSDELTA_SHARING_RECIPIENT_TYPE_OPEN
- accepted_consumer_termsobjectRequired
Show child attributesHide child attributes
- versionstringRequired
Response
- idstring